Summary: Adobe Acrobat Reader
Name: acroread
Version: 4.05
Release: 2
Group: Applications/Publishing
Copyright: Freely Distributable
Vendor: Adobe Systems Incorporated
Source0: ftp://ftp.adobe.com/pub/adobe/acrobatreader/unix/4.x/linux-ar-405.tar.gz
Source1: acroread.png
Source2: acroread-kde-icons.tar.gz
URL: http://www.adobe.com/products/acrobat/readermain.html
BuildRoot: /var/tmp/%{name}-root

%description
Adobe Acrobat Reader 4.05 enables you to view, navigate,
and browse PDF files, either inside a Web browser or in a stand
alone application.  Version 4.05 is a glibc-only release.

%package nppdf
Summary: Adobe Acrobat Reader Netscape plugin
Group: X11/Applications/Graphics
Requires: acroread, netscape-common

%description nppdf
A plugin to view Adobe PDF files into netscape.

%package gnome-menus
Summary: Adobe Acrobat Reader GNOME System menus
Group: X11/Applications/Graphics
Requires: acroread

%description gnome-menus
This package links Adobe Acrobat Reader to the GNOME System menus.

%package kde-menus
Summary: Adobe Acrobat Reader KDE System menus
Group: X11/Applications/Graphics
Requires: acroread

%description kde-menus
This package links Adobe Acrobat Reader to the KDE System menus.

%prep
%setup -q -c

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT/{usr/{bin,lib/netscape/plugins,share/{pixmaps,icons/mini,applnk/Applications},X11R6/lib/X11/app-defaults},etc/X11/applnk/Applications}

cd ILINXR.install
PAGER=/bin/cat ./INSTALL <<EOInput
accept
$RPM_BUILD_ROOT/usr/lib/Acrobat4
y
EOInput

# add the KDE icons
tar -zxf $RPM_SOURCE_DIR/acroread-kde-icons.tar.gz
install -m 0644 acroread.xpm $RPM_BUILD_ROOT/usr/share/icons/acroread.xpm
install -m 0644 mini-acroread.xpm $RPM_BUILD_ROOT/usr/share/icons/mini/acroread.xpm

# add the GNOME icon
install -m 0644 $RPM_SOURCE_DIR/acroread.png $RPM_BUILD_ROOT/usr/share/pixmaps/acroread.png

# 'acroread' is a shell script, change the install_dir inside it
cd $RPM_BUILD_ROOT/usr/lib/Acrobat4/bin
perl -pi -e "s,$RPM_BUILD_ROOT/usr/lib/Acrobat4,/usr/lib/Acrobat4,g" acroread

# strip binaries, move netscape plugin
cd $RPM_BUILD_ROOT/usr/lib/Acrobat4/Browsers/intellinux
strip -s nppdf.so $RPM_BUILD_ROOT/usr/lib/Acrobat4/Reader/intellinux/bin/acroread
mv nppdf.so $RPM_BUILD_ROOT/usr/lib/netscape/plugins/nppdf.so

# Create new app-default for weblink plugin
cat > $RPM_BUILD_ROOT/usr/lib/Acrobat4/Reader/intellinux/app-defaults/WebLink <<EOF
*LinkDisplay:	CTRL
*OpenURL:	NO
*IsMapped:	NO
*Progress:	NO
*Toolbar:	YES
*SelectedBrowser:	/usr/bin/netscape
*SelectedDriver:	Netscape
EOF

# GNOME link
cat > $RPM_BUILD_ROOT/etc/X11/applnk/Applications/acroread.desktop <<EOF
[Desktop Entry]
Name=Acrobat Reader
Comment=Views Adobe PDF files
Exec=acroread
Icon=/usr/share/pixmaps/acroread.png
Terminal=0
Type=Applications
EOF

# KDE link
cat > $RPM_BUILD_ROOT/usr/share/applnk/Applications/acroread.kdelnk <<EOF
# KDE Config File
[KDE Desktop Entry]
Name=Acrobat Reader
Comment=Views Adobe PDF files
Exec=acroread
Icon=acroread.xpm
MinIcon=acroread.xpm
Terminal=0
Type=Application
EOF

# App-Defaults
install -m 644 $RPM_BUILD_ROOT/usr/lib/Acrobat4/Reader/intellinux/app-defaults/AcroRead \
	$RPM_BUILD_ROOT/usr/X11R6/lib/X11/app-defaults
install -m 644 $RPM_BUILD_ROOT/usr/lib/Acrobat4/Reader/intellinux/app-defaults/WebLink \
	$RPM_BUILD_ROOT/usr/X11R6/lib/X11/app-defaults

%post
ln -sf /usr/lib/Acrobat4/bin/acroread /usr/bin/acroread

%postun
rm -f /usr/bin/acroread

%clean
rm -rf $RPM_BUILD_ROOT
rm -rf %{builddir}

%files
%defattr(-,root,root)
%doc ILINXR.install/INSTALL ILINXR.install/LICREAD.TXT
%doc ILINXR.install/INSTGUID.TXT ILINXR.install/ReadMe
/usr/lib/Acrobat4
/usr/X11R6/lib/X11/app-defaults/AcroRead
/usr/X11R6/lib/X11/app-defaults/WebLink

%files nppdf
%attr(755,root,root) /usr/lib/netscape/plugins/nppdf.so

%files gnome-menus
%defattr(-,root,root)
/usr/share/pixmaps/acroread.png
/etc/X11/applnk/Applications/acroread.desktop

%files kde-menus
%defattr(-,root,root)
/usr/share/icons/acroread.xpm
/usr/share/icons/mini/acroread.xpm
/usr/share/applnk/Applications/acroread.kdelnk

%changelog
* Thu Mar  2 2000 Pierre Scotney <pierre@mail.medstv.unimelb.edu.au>
- created acroread-gnome-menus and acroread-kde-menus packages

* Thu Feb 24 2000 Troy Engel <tengel@sonic.net>
- upgraded to 4.05
- removed libc5 packaging
- placed app-defaults in system location
- added new doc files
- reorganized and commented spec file
- clean up better

* Wed Nov 10 1999 Troy Engel <tengel@sonic.net>
- added KDE customizations
- moved symlinks to (un)install scripts
- changed to first RH 6 release (non-mdk)
- added Vendor/Packager tags, changed Copyright tag

* Sat Sep 11 1999 Giuseppe Ghib <ghibo@linux-mandrake.com>
- minor cosmetic changes in spec file.
- added libc5 plugin.

* Fri Aug 20 1999 Giuseppe Ghib <ghibo@linux-mandrake.com>
- removed trailing blanks in file WebLink.

* Sat Aug 14 1999 Giuseppe Ghib <ghibo@linux-mandrake.com>
- updated to Acrobat Reader 4.0
- fixed bug for acrobat plugin with glibc2 netscape.
- strip binaries
- added WebLink file.

* Wed Jul 14 1999 Giuseppe Ghib <ghibo@linux-mandrake.com>
- initial SPEC file.
